Subject: Re: [PATCH net-next v5 1/2] ptp: introduce Alibaba CIPU PHC driver

From: Jakub Kicinski <[email-masked]>
Date: Wed, 5 Nov 2025 16:24:29 -0800

On Wed, 5 Nov 2025 18:22:19 +0800 Wen Gu wrote:
> On 2025/11/1 07:58, Jakub Kicinski wrote:
> > On Thu, 30 Oct 2025 20:13:13 +0800 Wen Gu wrote:  
> >> This adds a driver for Alibaba CIPU PTP clock. The CIPU, an underlying
> >> infrastructure of Alibaba Cloud, synchronizes time with atomic clocks
> >> via the network and provides microsecond or sub-microsecond precision
> >> timestamps for VMs and bare metals on cloud.
> >>
> >> User space processes, such as chrony, running in VMs or on bare metals
> >> can get the high precision time through the PTP device exposed by this
> >> driver.  
> > 
> > As mentioned on previous revisions this is a pure clock device which has
> > nothing to do with networking and PTP.  
> 
> I don't quite agree that this has nothing to do with PTP.
> 
> What is the difference between this CIPU PTP driver and other PTP drivers
> under drivers/ptp? such as ptp_s390, ptp_vmw, ptp_pch, and others. Most of
> these PTP drivers do not directly involve IEEE 1588 or networking as well.

We can't delete existing drivers. It used to be far less annoying
until every cloud vendor under the sun decided to hack up their own
implementation of something as simple as the clock.

> > There should be a separate class
> > for "hypervisor clocks", if not a common driver.  
> 
> 'hypervisor clock' is not very accurate. CIPU PTP can be used in VM and
> bare metal scenarios, and bare metals do not need hypervisors.

I know.